# Contol Keys and shortcut names for ts
# You are free to change the assignments
# Use the X11 key names without KB_ and enclose they in < >

# Editor

set B(del)        <Delete>            ; # delete the char under the cursor
set B(bs)         <BackSpace>         ; # delete the char before the cursor
set B(dlinend)    <Control-k>         ; # delete to the end of line
set B(dword)      <Control-Delete>    ; # delete word
set B(dline)      <Control-y>         ; # delete line
set SK(undo)      "^U"
set B(undo)       <Control-u>         ; # undo
set SK(save)      "^S"
set B(save)       <Control-s>         ; # save file
set SK(saveas)    "^F2"
set B(saveas)     <Control-F2>        ; # save file as ...
set SK(close)     "^Q"
set B(close)      <Control-q>         ; # close editor
set SK(replace)   "^R"
set B(replace)    <Control-r>         ; # replace text
set SK(find)      "^F"
set B(find)       <Control-f>         ; # find text
set SK(go)        "^G"
set B(go)         <Control-g>         ; # goto line
set SK(rpnext)    "^L"
set B(rpnext)     <Control-l>         ; # find/replace next occurence
set SK(autoext)   "^E"
set B(autoext)    <Control-e>         ; # switch auto complete \begin{...}
set SK(wrap)      "^W"
set B(wrap)       <Control-w>         ; # switch line wrapping
set SK(autoind)   "^I"
set B(autoind)    <Control-i>         ; # switch autoindent

# Global

set B(help)       <F1>                ; # help
set SK(edit)      "F3"
set B(edit)       <F3>                ; # Edit file
set SK(primary)   "Shift-F3"
set B(primary)    <F13>               ; # Select primary file
set SK(editprim)  "^0"
set B(editprim)   <Control-Key-0>     ; # Edit Primary file
set SK(project)   "F4"
set B(project)    <F4>                ; # show project
set SK(graphic)   "F5"
set B(graphic)    <F5>                ; # graphics
set SK(compose)   "F6"
set B(compose)    <F6>                ; # compose .tex
set SK(ref)       "F7"
set B(ref)        <F7>                ; # make references
set SK(view)      "F8"
set B(view)       <F8>                ; # view
set SK(print)     "F9"
set B(print)      <F9>                ; # print
set SK(util)      "F11"
set B(util)       <F11>               ; # utilities
set SK(filter)    "F12"      
set B(filter)     <F12>               ; # filter
set B(paredit)    <Control-F3>        ; # select parameter for editor
set B(pargraphic) <Control-F5>        ; # select parameter for graphic tool
set B(parcompose) <Control-F6>
set B(parref)     <Control-F7>
set B(parview)    <Control-F8>        ; # select parameter for viewer
set B(parprint)   <Control-F9>        ; # select parameter for printing
set B(parutil)    <Control-F11>       ; # select parameter for utils
set B(parfilter)  <Control-F12>       ; # select parameter for filter
set B(selterm)    <Control-t>         ; # select terminal window
set B(seled1)     <Control-Key-1>     ; # select edit window 1
set B(seled2)     <Control-Key-2>     ; # select edit window 2
set B(seled3)     <Control-Key-3>     ; # select edit window 3
set B(seled4)     <Control-Key-4>     ; # select edit window 4
set B(seled5)     <Control-Key-5>     ; # select edit window 5
set B(seled6)     <Control-Key-6>     ; # select edit window 6
set B(seled7)     <Control-Key-7>     ; # select edit window 7
set B(seled8)     <Control-Key-8>     ; # select edit window 8
set B(seled9)     <Control-Key-9>     ; # select edit window 9
set B(exit)       <Alt-x>
